<template>
    <nft-group-list @clickCallBack="clickHandler"></nft-group-list>
</template>

<script setup>
import NftGroupList from '@/view/components/nft-group-list.vue';
import { prePost } from '@/http/nft'

const clickHandler = (item) => {
    prePost({
        params: {
            groupId: item.nftGroupId
        }
    }).then(res => {
        let { code, data } = res
        if (code === 0) {
            chrome.tabs.getCurrent((tab) => {
                chrome.tabs.sendMessage(tab.id, { actionType: "IFRAME_NFT_GROUP_LIST_HIDE" });
                chrome.tabs.sendMessage(tab.id, {
                    actionType: "IFRAME_NFT_GROUP_SET_CONTENT",
                    publishRes: data
                });
            })
        }
    })
}
</script>
